Package de.gebit.integrity.remoting.transport.messages

## Class AbortExecutionMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.AbortExecutionMessage

- All Implemented Interfaces:
    `Serializable`

      public class AbortExecutionMessage
      extends AbstractMessage

  This message is sent from a server to all clients when its test running process has been aborted out of order. The server will most likely disconnect all the clients immediately afterwards - clients should expect this to happen.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbortExecutionMessage()` | The no-arg constructor, primarily used for serialization.
    `AbortExecutionMessage​(String anExceptionMessage, String anExceptionStackTrace)` | Creates a new message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExceptionMessage()` |
    `String` | `getExceptionStackTrace()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortExecutionMessage

          public AbortExecutionMessage​(String anExceptionMessage,
                                       String anExceptionStackTrace)

      Creates a new message.
      Parameters:
        `anExceptionMessage` - The message of the AbortExecutionException
        `anExceptionStackTrace` - The stacktrace of the AbortExecutionException

    - #### AbortExecutionMessage

          public AbortExecutionMessage()

      The no-arg constructor, primarily used for serialization.

  - ### Method Detail

    - #### getExceptionMessage

          public String getExceptionMessage()

    - #### getExceptionStackTrace

          public String getExceptionStackTrace()